Subject: Re: bug#2623: 23.0.91; File is under version-control; use C-x v v to check in/out

From: Leo <[email-masked]>
Date: Wed, 11 Mar 2009 16:06:10 +0000

On 2009-03-11 14:55 +0000, Stefan Monnier wrote:
>>>> File is under version-control; use C-x v v to check in/out
>>>> This message is misleading if not wrong as most of the version control
>>>> tools do not use read-only to indicate their status.
>>> Check in/out used to be bound to C-x C-q (because back then, most of the
>>> version control tools did use read-only to indicate their status), so
>>> the above message is there to remind people who have C-x C-q hardcoded
>>> in their fingers that maybe they really meant to type C-x v v.
>> Should this be changed in 21st?
>
> I do not understand what "21st" is referring to.

I mean '21st century'.

>>> BTW, why did you type C-x C-q?  Is the file read-only?
>> Sometimes I turn the file into read-only before showing to other people
>> in case they accidentally type something into it.
>
> I see, so in this case we could probably avoid the message by being
> a bit more clever (e.g. don't show the message if it's not the first
> time C-x C-q is used in this buffer).

There is difference between turning the buffer into read-only and the
file on disk being read-only. VC backends depend on the latter for their
status based on my experience with RCS. So showing such a message does
not make sense when pressing C-x C-q. It might make sense when opening a
read-only file that is also under version control. But even this point
is mostly irrelevant since 75% of the vc-handled-backends, which
hopefully represent 99.9% users, need not such message.

I just recalled when I was beginning with vc. I did once foolishly
follow that message and wasted myself a few unhappy hours fixing the
consequences.

Just some thoughts.

>         Stefan

-- 
.:  Leo  :.  [ sdl.web AT gmail.com ]  .: I use Emacs :.

               www.git-scm.com
    git - the one true version control system